Page MenuHomePhabricator

Inline templates should not bypass the minimum length consideration for unmodified content issues
Closed, ResolvedPublic

Description

Content translation encourages users to review the initial machine translation by showing different warnings. These warnings do not apply when:

  • The content is very short. A short sentence such as a two-word section title is likely to be perfectly translated by the initial automatic translation.
  • Rich content with data unlikely to be modified. Templates such as math formulas or tables often contain data that is not expected to be modified in other languages.

However, based on T225118#5459838, it seems that when both of the above concepts apply at the same time the warnings are applied, and they should not be. For example a warning is shown for the math formulas because they are part of a sentence with an additional dot:

The expected result would be not to compute the template for the sentence length calculation, and consider the sentence as one character long (i.e., the dot). As a result the warning won't be shown because the contents do not reach the minimal length for showing it.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 12 2019, 10:01 AM

Change 596635 had a related patch set uploaded (by Nik Gkountas; owner: Nik Gkountas):
[mediawiki/extensions/ContentTranslation@master] MT Abuse warnings: Enforce minimum length consideration for sections with both excluded and non excluded children

https://gerrit.wikimedia.org/r/596635

Change 596635 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] MT Abuse: Enforce min length consideration for sections with excluded children

https://gerrit.wikimedia.org/r/596635

Jpita updated the task description. (Show Details)Jun 10 2020, 5:28 AM
santhosh closed this task as Resolved.Jun 16 2020, 8:42 AM